CVE-2016-9400

NameCVE-2016-9400
DescriptionThe CClient::ProcessServerPacket method in engine/client/client.cpp in Teeworlds before 0.6.4 allows remote servers to write to arbitrary physical memory locations and possibly execute arbitrary code via vectors involving snap handling.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs844546

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
teeworlds (PTS)buster, bullseye, sid0.7.2-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
teeworldssource(unstable)0.6.4+dfsg-1844546
teeworldssourcewheezy(unfixed)end-of-life

Notes

[jessie] - teeworlds <no-dsa> (Minor issue; can be fixed via point release)
[wheezy] - teeworlds <end-of-life> (Games are not supported in Wheezy)
https://www.teeworlds.com/?page=news&id=12086
https://github.com/teeworlds/teeworlds/commit/ff254722a2683867fcb3e67569ffd36226c4bc62 (0.6.4-release)
http://www.openwall.com/lists/oss-security/2016/11/16/8

Search for package or bug name: Reporting problems